# -*- coding: utf-8 -*-

"""Setup for abnf.  Version information is generated by setuptools_scm."""

from setuptools import setup, find_packages

setup(
    name="abnf",
    description="Parsers for ABNF grammars.",
    long_description="ABNF generates parsers for ABNF grammars. Though intended for use with \
    RFC grammars, ABNF should handle any valid grammar.",
    author="Charles Yeomans",
    author_email="charles@declaresub.com",
    url="https://github.com/declaresub/abnf",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    keywords=["abnf", "parser", "generator"],
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Topic :: Software Development :: Code Generators",
        "Topic :: Software Development :: Interpreters",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
    ],
    license="MIT",
    python_requires=">=3",
    install_requires=[],
    extras_require={':python_version < "3.8"': ["importlib_metadata"]},
    zip_safe=False,
    options={"bdist_wheel": {"universal": "1"}},
)
